

function Main()

	if (Q_屏幕NPC组[7].任务变量 == 0) then  -- 如果[首饰商]的任务变量为0
		
		系统:提示("<白>  小子, 有事吗?")
		系统:选择("没事, 随便看看.@exit")
		
	elseif (Q_屏幕NPC组[7].任务变量 == 101) then  -- 如果[首饰商]的任务变量为100
		
		local 提示内容 = "<红>   " .. Q_主角.名称 .. "<白>啊, 有事吗?"
	
		系统:提示(提示内容)
		系统:选择("我要买点新鲜的肉.@新鲜野味")
		
	else 
		
		系统:提示("<白>   你好吗?")
		系统:选择("离开@exit")
		
	end 	
	
	
	

end



function  新鲜野味() 

	系统:提示("<白>  不好意思,今天的野味被别人买完了.")
	系统:选择("那就不打扰了.@哦")

end 


function  哦() 

	系统:提示("<白>   嗯!.")
	系统:选择("先走了@exit")
	
	
	Q_屏幕NPC组[2].任务标志 = 2  -- [杂货]的任务标志设置为可交.
	Q_屏幕NPC组[2].任务变量 = 3 -- [杂货]的任务变量设置为2
	Q_屏幕NPC组[7].任务变量 = 0  -- 清楚[首饰商]的任务变量. 
	
	
	
	

end 














--------------------------------------------
Main()